Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 708270 - dev-python/{Rx,graphql-core,gql}: Lacks >=py37 support.
Summary: dev-python/{Rx,graphql-core,gql}: Lacks >=py37 support.
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2020-06-30
Assignee: Anthony Basile
URL:
Whiteboard:
Keywords: PMASKED, PullRequest
: 708272 (view as bug list)
Depends on:
Blocks: python3.7-compat 708272
  Show dependency tree
 
Reported: 2020-02-04 19:42 UTC by Piotr Karbowski
Modified: 2020-07-02 10:32 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Karbowski archtester Gentoo Infrastructure gentoo-dev Security 2020-02-04 19:42:47 UTC
Ebuild not bumped since initial commit in 2018-03-02, lacks Python 3.7 support.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-22 15:31:57 UTC
Ping.
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-05-31 06:53:18 UTC
Let's merge the two related bugs.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-05-31 06:53:26 UTC
*** Bug 708272 has been marked as a duplicate of this bug. ***
Comment 4 Larry the Git Cow gentoo-dev 2020-05-31 06:58:52 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ffb835b33f12860a2baba3d6cd06fea875e4ae8

commit 1ffb835b33f12860a2baba3d6cd06fea875e4ae8
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-05-31 06:58:12 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-05-31 06:58:47 +0000

    package.mask: Last rite dev-python/{Rx,graphql-core,gql}
    
    Bug: https://bugs.gentoo.org/708270
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 profiles/package.mask | 8 ++++++++
 1 file changed, 8 insertions(+)
Comment 5 Christopher Head 2020-05-31 16:11:11 UTC
I’m not interested in graphql, but I do use rx. If I were to submit a version bump PR, could that be saved? I ask this before trying because I previously tried to bump a package (dev-python/influxdb) that was last rited and it just got blown away anyway with my PR left lying open.
Comment 6 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-05-31 16:38:49 UTC
If you can get it working with tests, sure.  Make sure to ping juippis hard enough so someone reviews it.
Comment 7 Larry the Git Cow gentoo-dev 2020-06-02 07:16:04 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e24f76827fb4b305327d68a57216e4c73befd00

commit 3e24f76827fb4b305327d68a57216e4c73befd00
Author:     Christopher Head <chead@chead.ca>
AuthorDate: 2020-06-01 06:18:53 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-06-02 07:11:01 +0000

    dev-python/Rx-3.1.0: bump
    
    * Switch to EAPI 7
    * Support Python 3.7/3.8/3.9
    * Run tests
    
    Bug: https://bugs.gentoo.org/708270
    Signed-off-by: Christopher Head <chead@chead.ca>
    Closes: https://github.com/gentoo/gentoo/pull/16040
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-python/Rx/Manifest        |  1 +
 dev-python/Rx/Rx-3.1.0.ebuild | 30 ++++++++++++++++++++++++++++++
 profiles/package.mask         |  1 -
 3 files changed, 31 insertions(+), 1 deletion(-)
Comment 8 Larry the Git Cow gentoo-dev 2020-07-02 10:32:15 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6425a102a11e95e1ab7158bcbff3f42effa43181

commit 6425a102a11e95e1ab7158bcbff3f42effa43181
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-07-02 10:30:46 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-07-02 10:30:46 +0000

    dev-python/{graphql-core,gql}: remove last-rited pkgs
    
    Closes: https://bugs.gentoo.org/708270
    
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 dev-python/gql/Manifest                           |  1 -
 dev-python/gql/gql-0.1.0.ebuild                   | 30 -----------------
 dev-python/gql/metadata.xml                       | 11 -------
 dev-python/graphql-core/Manifest                  |  1 -
 dev-python/graphql-core/graphql-core-2.0.0.ebuild | 39 -----------------------
 dev-python/graphql-core/metadata.xml              | 11 -------
 6 files changed, 93 deletions(-)